Bug 150046 - graphics/exact-image: exact-image-0.8.1 does not compile on i386.
Summary: graphics/exact-image: exact-image-0.8.1 does not compile on i386.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-27 18:00 UTC by Red Legion
Modified: 2011-03-16 19:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.59 KB, patch)
2010-08-27 18:00 UTC, Red Legion
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Red Legion 2010-08-27 18:00:10 UTC
exact-image-0.8.1 does not compile on i386. It generates this output when attempting to compile:


  C++       objdir/lib/Colorspace.o
In file included from lib/Colorspace.cc:24:
lib/ImageIterator2.hh: In member function 'rgb16_iterator::accu& rgb16_iterator::accu::abs()':
lib/ImageIterator2.hh:358: error: call of overloaded 'abs(int64_t&)' is ambiguous
/usr/include/stdlib.h:83: note: candidates are: int abs(int)
/usr/include/c++/4.2/cstdlib:143: note:                 long int std::abs(long int)
lib/ImageIterator2.hh:359: error: call of overloaded 'abs(int64_t&)' is ambiguous
/usr/include/stdlib.h:83: note: candidates are: int abs(int)
/usr/include/c++/4.2/cstdlib:143: note:                 long int std::abs(long int)
lib/ImageIterator2.hh:360: error: call of overloaded 'abs(int64_t&)' is ambiguous
/usr/include/stdlib.h:83: note: candidates are: int abs(int)
/usr/include/c++/4.2/cstdlib:143: note:                 long int std::abs(long int)
lib/ImageIterator2.hh: In member function 'gray16_iterator::accu& gray16_iterator::accu::abs()':
lib/ImageIterator2.hh:637: error: call of overloaded 'abs(int64_t&)' is ambiguous
/usr/include/stdlib.h:83: note: candidates are: int abs(int)
/usr/include/c++/4.2/cstdlib:143: note:                 long int std::abs(long int)
gmake: *** [objdir/lib/Colorspace.o] Error 1

Fix: Zao of ##freebsd on Freenode suggested a std::abs template in detail namespace, which is included in the patch submitted. Actually works.

Patch attached with submission follows:
How-To-Repeat: make install of /usr/ports/graphics/exact-image
Comment 1 Remko Lodder freebsd_committer 2010-09-01 06:47:50 UTC
Responsible Changed
From-To: freebsd-i386->freebsd-ports-bugs

ports bug.
Comment 2 Brendan Fabeny freebsd_committer 2010-09-03 10:39:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

I'll take it.
Comment 3 dfilter service freebsd_committer 2011-03-16 19:42:45 UTC
bf          2011-03-16 19:42:31 UTC

  FreeBSD ports repository

  Modified files:
    graphics/exact-image Makefile distinfo 
    graphics/exact-image/files patch-edisplay_edisplay.cc 
  Added files:
    graphics/exact-image/files patch-lib__ImageIterator2.hh 
  Removed files:
    graphics/exact-image/files patch-edisplay_Makefile 
  Log:
  Update to 0.8.4, add LICENSE, and fix build on i386.
  
  PR:             150046
  Submitted by:   "Red Legion", "Zao" (different patch)
  
  Revision  Changes    Path
  1.21      +3 -9      ports/graphics/exact-image/Makefile
  1.6       +2 -3      ports/graphics/exact-image/distinfo
  1.2       +0 -15     ports/graphics/exact-image/files/patch-edisplay_Makefile (dead)
  1.2       +12 -22    ports/graphics/exact-image/files/patch-edisplay_edisplay.cc
  1.1       +24 -0     ports/graphics/exact-image/files/patch-lib__ImageIterator2.hh (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Brendan Fabeny freebsd_committer 2011-03-16 19:45:24 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!